Subject: bug#36784: Cannot generate key pair with GnuPG

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 25 Jul 2019 15:01:59 +0200

Raghav Gururajan <[email-masked]> writes:

> I still suggest that there should be a default/fallback option for
> this. After reviewing guix repository, I found pinentry, emacs-
> pinentry, pinentry-tty, pinentry-qt, pinentry-gtk2, pinentry-gnome3,
> pinentry-emacs and pinentry-efl, as available pinentry programs.
>
> Out of all, I suggest pinentry to be set as default/fallback option for
> gnupg in guix, as it is platform-independent and provides both CUI
> (console) and GUI.

I think it would be good to have a sensible default.  Is there a good
reason not to include pinentry-tty or somemthing similarly small?

-- 
Ricardo